com.amazonaws.services.lambda.model

## Class EnvironmentResponse

- java.lang.Object
- - com.amazonaws.services.lambda.model.EnvironmentResponse

All Implemented Interfaces:
  Serializable, Cloneable

    public class EnvironmentResponse
    extends Object
    implements Serializable, Cloneable

The parent object returned that contains your environment's configuration settings or any error information associated with your configuration settings.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EnvironmentResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EnvironmentResponse` `addVariablesEntry(String key, String value)`
`EnvironmentResponse` `clearVariablesEntries()` Removes all the entries added into Variables.
`EnvironmentResponse` `clone()`
`boolean` `equals(Object obj)`
`EnvironmentError` `getError()`
`Map<String,String>` `getVariables()` The key-value pairs returned that represent your environment's configuration settings or error information.
`int` `hashCode()`
`void` `setError(EnvironmentError error)`
`void` `setVariables(Map<String,String> variables)` The key-value pairs returned that represent your environment's configuration settings or error information.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`EnvironmentResponse` `withError(EnvironmentError error)`
`EnvironmentResponse` `withVariables(Map<String,String> variables)` The key-value pairs returned that represent your environment's configuration settings or error information.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnvironmentResponse

    public EnvironmentResponse()

### Method Detail

#### getVariables

    public Map<String,String> getVariables()

The key-value pairs returned that represent your environment's configuration settings or error information.

Returns:
  The key-value pairs returned that represent your environment's configuration settings or error information.

#### setVariables

    public void setVariables(Map<String,String> variables)

The key-value pairs returned that represent your environment's configuration settings or error information.

Parameters:
  `variables` - The key-value pairs returned that represent your environment's configuration settings or error information.

#### withVariables

    public EnvironmentResponse withVariables(Map<String,String> variables)

The key-value pairs returned that represent your environment's configuration settings or error information.

Parameters:
  `variables` - The key-value pairs returned that represent your environment's configuration settings or error information.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### addVariablesEntry

    public EnvironmentResponse addVariablesEntry(String key,
                                                 String value)

#### clearVariablesEntries

    public EnvironmentResponse clearVariablesEntries()

Removes all the entries added into Variables.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setError

    public void setError(EnvironmentError error)

Parameters:
  `error` -

#### getError

    public EnvironmentError getError()

Returns:

#### withError

    public EnvironmentResponse withError(EnvironmentError error)

Parameters:
  `error` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public EnvironmentResponse clone()

Overrides:
  `clone` in class `Object`